Автор Тема: [Решено] WEB-Browser на Р8 платформу...  (Прочитано 4537 раз)

Оффлайн San

  • Давно тут
  • **
  • Сообщений: 649
Доброго дня, а на Р8 платформу можно установить современный WEB-Browser?
# cat /etc/altlinux-release
ALT Workstation K 8.3  (Centaurea Ruthenica)
# uname -r
4.19.35-un-def-alt0.M80P.1
# uname -a
Linux desk-alsanlin20.localdomain 4.19.35-un-def-alt0.M80P.1 #1 SMP PREEMPT Thu Apr 18 17:42:53 UTC 2019 x86_64 GNU/Linux
Если да, то как?
В репозиториях все старое. На Palemoon половина сайтов банков ругается, хотя ставлю последнюю версию с их сайта... Даже Opera противится...
# apt-get install opera-stable_73.0.3856.344_amd64.rpm --simulate
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Выбрано opera-stable для 'opera-stable_73.0.3856.344_amd64.rpm'
Некоторые пакеты установить невозможно. Это может означать, что Вы
потребовали невозможного, либо пользуетесь нестабильным репозиторием.
Часть необходимых пакетов либо ещё не создана, либо была удалена
из каталога 'Входящие'.

Так как для выполнения Вашего запроса достаточно одной операции, то
скорее всего этот пакет просто невозможно установить. Сообщите, пожалуйста,
об этом как о найденной ошибке в пакете.
Эти сведения могут помочь найти выход из ситуации:

Следующие пакеты имеют неудовлетворенные зависимости:
  opera-stable: Требует: rpmlib(FileDigests) (<= 4.6.0-1) но пакет не может быть установлен
E: Извините, `битые' пакеты
« Последнее редактирование: 04.02.2021 09:02:31 от San »

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 553
Re: WEB-Browser на Р8 платформу...
« Ответ #1 : 29.01.2021 13:14:07 »
Chrome нормально ставится (через eepm), что может быть современнее.

Оффлайн YYY

  • Мастер
  • ***
  • Сообщений: 5 587

Оффлайн San

  • Давно тут
  • **
  • Сообщений: 649
Re: WEB-Browser на Р8 платформу...
« Ответ #3 : 29.01.2021 15:14:08 »
Chrome нормально ставится (через eepm), что может быть современнее.
Google Chrome или Chromium?

Я так понимаю ЭТОТ eepm нужно сперва установить?

http://forum.russ2.com/index.php?s=&showtopic=4661&view=findpost&p=54017
У меня вроде ни чего не падает? Просто стоят не крайние версии для почти всех браузеров... А новые на P8 не ставятся...

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 553
Re: WEB-Browser на Р8 платформу...
« Ответ #4 : 29.01.2021 16:20:29 »
Chrome нормально ставится (через eepm), что может быть современнее.
Google Chrome или Chromium?

Я так понимаю ЭТОТ eepm нужно сперва установить?

Да - https://www.altlinux.org/Google_Chrome

Оффлайн San

  • Давно тут
  • **
  • Сообщений: 649
Re: WEB-Browser на Р8 платформу...
« Ответ #5 : 29.01.2021 18:14:08 »
Да - https://www.altlinux.org/Google_Chrome
ОК! Огромное СПАСИБО! Получилось.

Так я смотрю может и Opera установится? Надо попробовать завтра... У нее ошибка была такая же как у Хрома...
# apt-get update
# apt-get install google-chrome-stable_current_x86_64.rpm --simulate                                 
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Выбрано google-chrome-stable для 'google-chrome-stable_current_x86_64.rpm'
Некоторые пакеты установить невозможно. Это может означать, что Вы
потребовали невозможного, либо пользуетесь нестабильным репозиторием.
Часть необходимых пакетов либо ещё не создана, либо была удалена
из каталога 'Входящие'.

Так как для выполнения Вашего запроса достаточно одной операции, то
скорее всего этот пакет просто невозможно установить. Сообщите, пожалуйста,
об этом как о найденной ошибке в пакете.
Эти сведения могут помочь найти выход из ситуации:

Следующие пакеты имеют неудовлетворенные зависимости:
  google-chrome-stable: Требует: rpmlib(FileDigests) (<= 4.6.0-1) но пакет не может быть установлен
E: Извините, `битые' пакеты

Попробую отпишусь.

А Этот менеджер пакетов этерсофтовский, как вообще? Удачное решение?

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 553
Re: WEB-Browser на Р8 платформу...
« Ответ #6 : 29.01.2021 19:01:27 »
А Этот менеджер пакетов этерсофтовский, как вообще? Удачное решение?
это обертка, для удобства работы. Без него больше команд пришлось бы вводить.

Оффлайн gosts 87

  • Давно тут
  • **
  • Сообщений: 612
  • Дмитрий/Dmitry/德米特里/दिमित्री
Re: WEB-Browser на Р8 платформу...
« Ответ #7 : 29.01.2021 21:09:04 »
Большинство проприетарных браузеров за собой тянут этот:
rpmlib(FileDigests)
пакет, который в P8 отсутствует.

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 186
    • Домашняя страница
    • Email
Re: WEB-Browser на Р8 платформу...
« Ответ #8 : 29.01.2021 21:28:48 »
rpmlib(FileDigests) – не пакет, а provide.
Андрей Черепанов (cas@)

Оффлайн gosts 87

  • Давно тут
  • **
  • Сообщений: 612
  • Дмитрий/Dmitry/德米特里/दिमित्री
Re: WEB-Browser на Р8 платформу...
« Ответ #9 : 29.01.2021 21:39:26 »
не пакет, а provide.
Пардон.

Оффлайн Koi

  • Мастер
  • ***
  • Сообщений: 1 754
  • валар дохаэрис
    • Канал на youtube
Re: WEB-Browser на Р8 платформу...
« Ответ #10 : 29.01.2021 23:42:55 »
Flatpak на p8 работает? Потому что если да, то это отчасти решило бы проблему с установкой новых программ без обновления системы в целом. Если нет может попробовать попросить пересобрать из р9.

Оффлайн San

  • Давно тут
  • **
  • Сообщений: 649
Re: WEB-Browser на Р8 платформу...
« Ответ #11 : 01.02.2021 13:45:31 »
Всем ОГРОМНОЕ СПАСИБО!

Проблемы решены, все работает.

это обертка, для удобства работы. Без него больше команд пришлось бы вводить.
Обертка оберткой, но команда:
# epm install --repack ...Наводит на мысль... Да и на Етерсофте у них написано: - Что ПЕРЕСОБИРАЕТ пакет по месту...
rpmlib(FileDigests) – не пакет, а provide.
Честно, не совсем понял про provide? Поиск всякую муру выдает...
Flatpak на p8 работает?
Не знаю точно, но в репах есть...
# apt-cache search flatpak
flatpak - Application deployment framework for desktop apps
flatpak-builder - Build helper for flatpak
libflatpak - Libraries for flatpak
libflatpak-devel - Development files for flatpak
i586-libflatpak - Libraries for flatpak
i586-libflatpak-devel - Development files for flatpak
ansible - SSH-based configuration management, deployment, and task execution system
Потому что если да, то это отчасти решило бы проблему с установкой новых программ без обновления системы в целом.
Я почитал... что то народ жалуется что ЭТА зараза жрет много ресурсов. Даже на диск тянет 80 ГБ библиотек... Не знаю на сколько это правда? Не устанавливал я ее. Но будет время попробую и отпишусь в этой теме...

Мой вопрос можно считать полностью решенным по средствам EEPM. Установил ПОСЛЕДНИЕ версии Opera и Google Chrome, для банков пока хватит... Все равно мысль поменять систему меня не оставляет! После того как попробовал XFCE на SysV...  ;-)

PS: Только не могу выбрать? Что лучше для 3Д Эффектов? Так сказать более стабильно... Compiz или KWin;-D

Оффлайн Koi

  • Мастер
  • ***
  • Сообщений: 1 754
  • валар дохаэрис
    • Канал на youtube
Re: WEB-Browser на Р8 платформу...
« Ответ #12 : 01.02.2021 14:43:26 »
Да, место занимается больше так как сначала устанавливается среда выполнения для приложения, но все в пределах разумного. Если установленная среда подходит для приложения то новая не загружается.

Оффлайн gosts 87

  • Давно тут
  • **
  • Сообщений: 612
  • Дмитрий/Dmitry/德米特里/दिमित्री
Re: WEB-Browser на Р8 платформу...
« Ответ #13 : 01.02.2021 17:25:08 »
Честно, не совсем понял про provide? Поиск всякую муру выдает...
Потому-что в Альте он по другому называется.

Оффлайн San

  • Давно тут
  • **
  • Сообщений: 649
Re: WEB-Browser на Р8 платформу...
« Ответ #14 : 01.02.2021 18:08:41 »
Потому-что в Альте он по другому называется.
А еще в Альте любят Интригу Завесить...  ;-D